nxt.ms

## Class Currency

- java.lang.Object
- - nxt.ms.Currency

-     public final class Currency
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Currency.Event`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CURRENCY_FREEZE_HEIGHT_PROPERTY_PREFIX`
    `static java.lang.String` | `CURRENCY_MIGRATE_HEIGHT_PROPERTY_PREFIX`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Currency> listener, Currency.Event eventType)`
    `boolean` | `canBeDeletedBy(long senderAccountId)`
    `long` | `getAccountId()`
    `DbIterator<Account.AccountCurrency>` | `getAccounts(int from, int to)`
    `DbIterator<Account.AccountCurrency>` | `getAccounts(int height, int from, int to)`
    `byte` | `getAlgorithm()`
    `static DbIterator<Currency>` | `getAllCurrencies(int from, int to)`
    `ChildChain` | `getChildChain()`
    `java.lang.String` | `getCode()`
    `static int` | `getCount()`
    `int` | `getCreationHeight()`
    `static Currency` | `getCurrency(long id)`
    `static Currency` | `getCurrency(long id, boolean includeDeleted)`
    `static Currency` | `getCurrencyByCode(ChildChain childChain, java.lang.String code)`
    `static Currency` | `getCurrencyByName(ChildChain childChain, java.lang.String name)`
    `static DbIterator<Currency>` | `getCurrencyIssuedBy(long accountId, int from, int to)`
    `long` | `getCurrentReservePerUnitNQT()`
    `long` | `getCurrentSupplyQNT()`
    `byte` | `getDecimals()`
    `java.lang.String` | `getDescription()`
    `DbIterator<ExchangeHome.Exchange>` | `getExchanges(ChildChain childChain, int from, int to)`
    `long` | `getId()`
    `long` | `getInitialSupplyQNT()`
    `int` | `getIssuanceHeight()`
    `int` | `getMaxDifficulty()`
    `long` | `getMaxSupplyQNT()`
    `int` | `getMinDifficulty()`
    `long` | `getMinReservePerUnitNQT()`
    `java.lang.String` | `getName()`
    `long` | `getReserveSupplyQNT()`
    `byte` | `getRuleset()`
    `DbIterator<CurrencyTransfer>` | `getTransfers(int from, int to)`
    `int` | `getType()`
    `static void` | `importCurrency(long id, long accountId, java.lang.String code, java.lang.String name)`
    `static void` | `init()`
    `boolean` | `is(CurrencyType type)`
    `boolean` | `isActive()`
    `boolean` | `isDeleted()`
    `static boolean` | `removeListener(Listener<Currency> listener, Currency.Event eventType)`
    `static DbIterator<Currency>` | `searchCurrencies(java.lang.String query, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURRENCY_FREEZE_HEIGHT_PROPERTY_PREFIX

          public static final java.lang.String CURRENCY_FREEZE_HEIGHT_PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### CURRENCY_MIGRATE_HEIGHT_PROPERTY_PREFIX

          public static final java.lang.String CURRENCY_MIGRATE_HEIGHT_PROPERTY_PREFIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<Currency> listener,
                                            Currency.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Currency> listener,
                                               Currency.Event eventType)

    - #### getAllCurrencies

          public static DbIterator<Currency> getAllCurrencies(int from,
                                                              int to)

    - #### getCount

          public static int getCount()

    - #### getCurrency

          public static Currency getCurrency(long id)

    - #### getCurrency

          public static Currency getCurrency(long id,
                                             boolean includeDeleted)

    - #### getCurrencyByName

          public static Currency getCurrencyByName(ChildChain childChain,
                                                   java.lang.String name)

    - #### getCurrencyByCode

          public static Currency getCurrencyByCode(ChildChain childChain,
                                                   java.lang.String code)

    - #### getCurrencyIssuedBy

          public static DbIterator<Currency> getCurrencyIssuedBy(long accountId,
                                                                 int from,
                                                                 int to)

    - #### searchCurrencies

          public static DbIterator<Currency> searchCurrencies(java.lang.String query,
                                                              int from,
                                                              int to)

    - #### importCurrency

          public static void importCurrency(long id,
                                            long accountId,
                                            java.lang.String code,
                                            java.lang.String name)

    - #### init

          public static void init()

    - #### getId

          public long getId()

    - #### getAccountId

          public long getAccountId()

    - #### getName

          public java.lang.String getName()

    - #### getCode

          public java.lang.String getCode()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getType

          public int getType()

    - #### getChildChain

          public ChildChain getChildChain()

    - #### getInitialSupplyQNT

          public long getInitialSupplyQNT()

    - #### getCurrentSupplyQNT

          public long getCurrentSupplyQNT()

    - #### getReserveSupplyQNT

          public long getReserveSupplyQNT()

    - #### getMaxSupplyQNT

          public long getMaxSupplyQNT()

    - #### getCreationHeight

          public int getCreationHeight()

    - #### getIssuanceHeight

          public int getIssuanceHeight()

    - #### getMinReservePerUnitNQT

          public long getMinReservePerUnitNQT()

    - #### getMinDifficulty

          public int getMinDifficulty()

    - #### getMaxDifficulty

          public int getMaxDifficulty()

    - #### getRuleset

          public byte getRuleset()

    - #### getAlgorithm

          public byte getAlgorithm()

    - #### getDecimals

          public byte getDecimals()

    - #### isDeleted

          public boolean isDeleted()

    - #### getCurrentReservePerUnitNQT

          public long getCurrentReservePerUnitNQT()

    - #### isActive

          public boolean isActive()

    - #### getAccounts

          public DbIterator<Account.AccountCurrency> getAccounts(int from,
                                                                 int to)

    - #### getAccounts

          public DbIterator<Account.AccountCurrency> getAccounts(int height,
                                                                 int from,
                                                                 int to)

    - #### getExchanges

          public DbIterator<ExchangeHome.Exchange> getExchanges(ChildChain childChain,
                                                                int from,
                                                                int to)

    - #### getTransfers

          public DbIterator<CurrencyTransfer> getTransfers(int from,
                                                           int to)

    - #### is

          public boolean is(CurrencyType type)

    - #### canBeDeletedBy

          public boolean canBeDeletedBy(long senderAccountId)